get_super
Prev | Registration and Superblocks | Next

## Name

get_super — get the superblock of a device

## Synopsis

`struct super_block * get_super (` | struct block_device * | bdev`)`;

## Arguments

`bdev`

  device to get the superblock for

## Description

Scans the superblock list and finds the superblock of the file system mounted on the device given. `NULL` is returned if no match is found.

Prev | Up | Next
sget | Home | File Locks